# Class: Stage

## Kinetic. Stage

#### new Stage(config)

  Stage constructor. A stage is used to contain multiple layers

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `config` | Object | ###### Properties
  Name | Type | Argument | Description
  --- | --- | --- | ---
  `container` | String | Element |  | Container id or DOM element
  `x` | Number | <optional> |
  `y` | Number | <optional> |
  `width` | Number | <optional> |
  `height` | Number | <optional> |
  `visible` | Boolean | <optional> |
  `listening` | Boolean | <optional> | whether or not the node is listening for events
  `id` | String | <optional> | unique id
  `name` | String | <optional> | non-unique name
  `opacity` | Number | <optional> | determines node opacity. Can be any number between 0 and 1
  `scale` | Object | <optional> | set scale
  `scaleX` | Number | <optional> | set scale x
  `scaleY` | Number | <optional> | set scale y
  `rotation` | Number | <optional> | rotation in degrees
  `offset` | Object | <optional> | offset from center point and rotation point
  `offsetX` | Number | <optional> | set offset x
  `offsetY` | Number | <optional> | set offset y
  `draggable` | Boolean | <optional> | makes the node draggable. When stages are draggable, you can drag and drop the entire stage by dragging any portion of the stage
  `dragDistance` | Number | <optional> |
  `dragBoundFunc` | function | <optional> |

  Source:
    - kinetic-v5.1.10.js, line 314

  ##### Example

      var stage = new Kinetic.Stage({
        width: 500,
        height: 800,
        container: 'containerId'
      });

### Extends

- Kinetic.Container

### Methods

#### add(layer)

  add layer or layers to stage

  ##### Parameters:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `layer` | Kinetic.Layer | <repeatable> |

  Source:
    - kinetic-v5.1.10.js, line 9492

  ##### Example

      stage.add(layer1, layer2, layer3);

#### batchDraw()

  batch draw

  Source:
    - kinetic-v5.1.10.js, line 6392

#### blue(blue) → {Integer}

  get/set filter blue value. Use with Kinetic.Filters.RGB filter.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `blue` | Integer | value between 0 and 255

  Inherited From:
    - Kinetic.Node#blue
  Source:
    - kinetic-v5.1.10.js, line 5032

  ##### Returns:

  Type
    Integer

#### blurRadius(radius) → {Integer}

  get/set blur radius. Use with Kinetic.Filters.Blur filter

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `radius` | Integer |

  Inherited From:
    - Kinetic.Node#blurRadius
  Source:
    - kinetic-v5.1.10.js, line 4753

  ##### Returns:

  Type
    Integer

#### brightness(brightness) → {Number}

  get/set filter brightness. The brightness is a number between -1 and 1. Positive values brighten the pixels and negative values darken them. Use with Kinetic.Filters.Brighten filter.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `brightness` | Number | value between -1 and 1

  Inherited From:
    - Kinetic.Node#brightness
  Source:
    - kinetic-v5.1.10.js, line 4368

  ##### Returns:

  Type
    Number

#### cache(config) → {Kinetic.Node}

  cache node to improve drawing performance, apply filters, or create more accurate hit regions

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `config` | Object | ###### Properties
  Name | Type | Argument | Description
  --- | --- | --- | ---
  `x` | Number | <optional> |
  `y` | Number | <optional> |
  `width` | Number | <optional> |
  `height` | Number | <optional> |
  `drawBorder` | Boolean | <optional> | when set to true, a red border will be drawn around the cached region for debugging purposes

  Inherited From:
    - Kinetic.Node#cache
  Source:
    - kinetic-v5.1.10.js, line 2403

  ##### Returns:

  Type
    Kinetic.Node

  ##### Example

      // cache a shape with the x,y position of the bounding box at the center and
      // the width and height of the bounding box equal to the width and height of
      // the shape obtained from shape.width() and shape.height()
      image.cache();

      // cache a node and define the bounding box position and size
      node.cache({
        x: -30,
        y: -30,
        width: 100,
        height: 200
      });

      // cache a node and draw a red border around the bounding box
      // for debugging purposes
      node.cache({
        x: -30,
        y: -30,
        width: 100,
        height: 200,
        drawBorder: true
      });

#### clear()

  clear all layers

  Source:
    - kinetic-v5.1.10.js, line 9300

#### clearCache() → {Kinetic.Node}

  clear cached canvas

  Inherited From:
    - Kinetic.Node#clearCache
  Source:
    - kinetic-v5.1.10.js, line 2361

  ##### Returns:

  Type
    Kinetic.Node

  ##### Example

      node.clearCache();

#### clip(clip) → {Object}

  get/set clip

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `clip` | Object | ###### Properties
  Name | Type | Description
  --- | --- | ---
  `x` | Number |
  `y` | Number |
  `width` | Number |
  `height` | Number |

  Inherited From:
    - Kinetic.Container#clip
  Source:
    - kinetic-v5.1.10.js, line 7667

  ##### Returns:

  Type
    Object

  ##### Example

      // get clip
      var clip = container.clip();

      // set clip
      container.setClip({
        x: 20,
        y: 20,
        width: 20,
        height: 20
      });

#### clipHeight(height) → {Number}

  get/set clip height

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `height` | Number |

  Inherited From:
    - Kinetic.Container#clipHeight
  Source:
    - kinetic-v5.1.10.js, line 7740

  ##### Returns:

  Type
    Number

  ##### Example

      // get clip height
      var clipHeight = container.clipHeight();

      // set clip height
      container.clipHeight(100);

#### clipWidth(width) → {Number}

  get/set clip width

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `width` | Number |

  Inherited From:
    - Kinetic.Container#clipWidth
  Source:
    - kinetic-v5.1.10.js, line 7724

  ##### Returns:

  Type
    Number

  ##### Example

      // get clip width
      var clipWidth = container.clipWidth();

      // set clip width
      container.clipWidth(100);

#### clipX(x) → {Number}

  get/set clip x

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `x` | Number |

  Inherited From:
    - Kinetic.Container#clipX
  Source:
    - kinetic-v5.1.10.js, line 7692

  ##### Returns:

  Type
    Number

  ##### Example

      // get clip x
      var clipX = container.clipX();

      // set clip x
      container.clipX(10);

#### clipY(y) → {Number}

  get/set clip y

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `y` | Number |

  Inherited From:
    - Kinetic.Container#clipY
  Source:
    - kinetic-v5.1.10.js, line 7708

  ##### Returns:

  Type
    Number

  ##### Example

      // get clip y
      var clipY = container.clipY();

      // set clip y
      container.clipY(10);

#### clone(obj) → {Kinetic.Node}

  clone node. Returns a new Node instance with identical attributes. You can also override the node properties with an object literal, enabling you to use an existing node as a template for another node

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `obj` | Object | override attrs

  Inherited From:
    - Kinetic.Node#clone
  Source:
    - kinetic-v5.1.10.js, line 3500

  ##### Returns:

  Type
    Kinetic.Node

  ##### Example

      // simple clone
      var clone = node.clone();

      // clone a node and override the x position
      var clone = rect.clone({
        x: 5
      });

#### container() → {DomElement}

  get container DOM element

  Source:
    - kinetic-v5.1.10.js, line 9903

  ##### Returns:

  container

  Type
    DomElement

  ##### Example

      // get container
      var container = stage.container();

      // set container
      var container = document.createElement('div');
      body.appendChild(container);
      stage.container(container);

#### destroy()

  destroy stage

  Source:
    - kinetic-v5.1.10.js, line 9323

#### destroyChildren()

  destroy all children

  Inherited From:
    - Kinetic.Container#destroyChildren
  Source:
    - kinetic-v5.1.10.js, line 7375

#### dragBoundFunc(dragBoundFunc) → {function}

  get/set drag bound function. This is used to override the default drag and drop position

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `dragBoundFunc` | function |

  Inherited From:
    - Kinetic.Node#dragBoundFunc
  Source:
    - kinetic-v5.1.10.js, line 7255

  ##### Returns:

  Type
    function

  ##### Example

      // get drag bound function
      var dragBoundFunc = node.dragBoundFunc();

      // create vertical drag and drop
      node.dragBoundFunc(function(pos){
        return {
          x: this.getAbsolutePosition().x,
          y: pos.y
        };
      });

#### dragDistance(distance) → {Number}

  get/set drag distance

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `distance` | Number |

  Inherited From:
    - Kinetic.Node#dragDistance
  Source:
    - kinetic-v5.1.10.js, line 4138

  ##### Returns:

  Type
    Number

  ##### Example

      // get drag distance
      var dragDistance = node.dragDistance();

      // set distance
      // node starts dragging only if pointer moved more then 3 pixels
      node.dragDistance(3);
      // or set globally
      Kinetic.dragDistance = 3;

#### draggable(draggable) → {Boolean}

  get/set draggable flag

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `draggable` | Boolean |

  Inherited From:
    - Kinetic.Node#draggable
  Source:
    - kinetic-v5.1.10.js, line 7279

  ##### Returns:

  Type
    Boolean

  ##### Example

      // get draggable flag
      var draggable = node.draggable();

      // enable drag and drop
      node.draggable(true);

      // disable drag and drop
      node.draggable(false);

#### draw()

  draw layer scene graphs

  Source:
    - kinetic-v5.1.10.js, line 9259

#### drawHit()

  draw layer hit graphs

  Source:
    - kinetic-v5.1.10.js, line 9261

#### embossBlend(embossBlend) → {Boolean}

  get/set emboss blend. Use with Kinetic.Filters.Emboss filter.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `embossBlend` | Boolean |

  Inherited From:
    - Kinetic.Node#embossBlend
  Source:
    - kinetic-v5.1.10.js, line 5398

  ##### Returns:

  Type
    Boolean

#### embossDirection(embossDirection) → {String}

  get/set emboss direction. Use with Kinetic.Filters.Emboss filter.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `embossDirection` | String | can be top-left, top, top-right, right, bottom-right, bottom, bottom-left or left The default is top-left

  Inherited From:
    - Kinetic.Node#embossDirection
  Source:
    - kinetic-v5.1.10.js, line 5387

  ##### Returns:

  Type
    String

#### embossStrength(level) → {Number}

  get/set emboss strength. Use with Kinetic.Filters.Emboss filter.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `level` | Number | between 0 and 1. Default is 0.5

  Inherited From:
    - Kinetic.Node#embossStrength
  Source:
    - kinetic-v5.1.10.js, line 5367

  ##### Returns:

  Type
    Number

#### embossWhiteLevel(embossWhiteLevel) → {Number}

  get/set emboss white level. Use with Kinetic.Filters.Emboss filter.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `embossWhiteLevel` | Number | between 0 and 1. Default is 0.5

  Inherited From:
    - Kinetic.Node#embossWhiteLevel
  Source:
    - kinetic-v5.1.10.js, line 5377

  ##### Returns:

  Type
    Number

#### enhance(amount) → {Float}

  get/set enhance. Use with Kinetic.Filters.Enhance filter.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `amount` | Float |

  Inherited From:
    - Kinetic.Node#enhance
  Source:
    - kinetic-v5.1.10.js, line 5515

  ##### Returns:

  Type
    Float

#### filters(filters) → {Array}

  get/set filters. Filters are applied to cached canvases

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `filters` | Array | array of filters

  Inherited From:
    - Kinetic.Node#filters
  Source:
    - kinetic-v5.1.10.js, line 4215

  ##### Returns:

  Type
    Array

  ##### Example

      // get filters
      var filters = node.filters();

      // set a single filter
      node.cache();
      node.filters([Kinetic.Filters.Blur]);

      // set multiple filters
      node.cache();
      node.filters([
        Kinetic.Filters.Blur,
        Kinetic.Filters.Sepia,
        Kinetic.Filters.Invert
      ]);

#### find(selector) → {Collection}

  return a Kinetic.Collection of nodes that match the selector. Use '#' for id selections and '.' for name selections. You can also select by type or class name. Pass multiple selectors separated by a space.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `selector` | String |

  Inherited From:
    - Kinetic.Container#find
  Source:
    - kinetic-v5.1.10.js, line 7453

  ##### Returns:

  Type
    Collection

  ##### Example

      // select node with id foo
      var node = stage.find('#foo');

      // select nodes with name bar inside layer
      var nodes = layer.find('.bar');

      // select all groups inside layer
      var nodes = layer.find('Group');

      // select all rectangles inside layer
      var nodes = layer.find('Rect');

      // select node with an id of foo or a name of bar inside layer
      var nodes = layer.find('#foo, .bar');

#### fire(eventType, evt, bubble) → {Kinetic.Node}

  fire event

  ##### Parameters:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `eventType` | String |  | event type. can be a regular event, like click, mouseover, or mouseout, or it can be a custom event, like myCustomEvent
  `evt` | Event | <optional> | event object
  `bubble` | Boolean | <optional> | setting the value to false, or leaving it undefined, will result in the event not bubbling. Setting the value to true will result in the event bubbling.

  Inherited From:
    - Kinetic.Node#fire
  Source:
    - kinetic-v5.1.10.js, line 3398

  ##### Returns:

  Type
    Kinetic.Node

  ##### Example

      // manually fire click event
      node.fire('click');

      // fire custom event
      node.fire('foo');

      // fire custom event with custom event object
      node.fire('foo', {
        bar: 10
      });

      // fire click event that bubbles
      node.fire('click', null, true);

#### getAbsoluteOpacity() → {Number}

  get absolute opacity

  Inherited From:
    - Kinetic.Node#getAbsoluteOpacity
  Source:
    - kinetic-v5.1.10.js, line 3267

  ##### Returns:

  Type
    Number

#### getAbsolutePosition() → {Object}

  get absolute position relative to the top left corner of the stage container div

  Inherited From:
    - Kinetic.Node#getAbsolutePosition
  Source:
    - kinetic-v5.1.10.js, line 3013

  ##### Returns:

  Type
    Object

#### getAbsoluteTransform() → {Kinetic.Transform}

  get absolute transform of the node which takes into account its ancestor transforms

  Inherited From:
    - Kinetic.Node#getAbsoluteTransform
  Source:
    - kinetic-v5.1.10.js, line 3416

  ##### Returns:

  Type
    Kinetic.Transform

#### getAbsoluteZIndex() → {Integer}

  get absolute z-index which takes into account sibling and ancestor indices

  Inherited From:
    - Kinetic.Node#getAbsoluteZIndex
  Source:
    - kinetic-v5.1.10.js, line 2946

  ##### Returns:

  Type
    Integer

#### getAllIntersections(pos) → {Array}

  get all shapes that intersect a point. Note: because this method must clear a temporary canvas and redraw every shape inside the container, it should only be used for special sitations because it performs very poorly. Please use the Kinetic.Stage#getIntersection method if at all possible because it performs much better

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `pos` | Object | ###### Properties
  Name | Type | Description
  --- | --- | ---
  `x` | Number |
  `y` | Number |

  Inherited From:
    - Kinetic.Container#getAllIntersections
  Source:
    - kinetic-v5.1.10.js, line 7573

  ##### Returns:

  array of shapes

  Type
    Array

#### getAncestors() → {Kinetic.Collection}

  get ancestors

  Inherited From:
    - Kinetic.Node#getAncestors
  Source:
    - kinetic-v5.1.10.js, line 2763

  ##### Returns:

  Type
    Kinetic.Collection

  ##### Example

      shape.getAncestors().each(function(node) {
        console.log(node.getId());
      })

#### getAttr(attr) → {Integer|String|Object|Array}

  get attr

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `attr` | String |

  Inherited From:
    - Kinetic.Node#getAttr
  Source:
    - kinetic-v5.1.10.js, line 2743

  ##### Returns:

  Type
    Integer | String | Object | Array

  ##### Example

      var x = node.getAttr('x');

#### getAttrs() → {Object}

  get attrs object literal

  Inherited From:
    - Kinetic.Node#getAttrs
  Source:
    - kinetic-v5.1.10.js, line 2780

  ##### Returns:

  Type
    Object

#### getChildren(filterFunc) → {Kinetic.Collection}

  returns a Kinetic.Collection of direct descendant nodes

  ##### Parameters:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `filterFunc` | function | <optional> | filter function

  Inherited From:
    - Kinetic.Container#getChildren
  Source:
    - kinetic-v5.1.10.js, line 7326

  ##### Returns:

  Type
    Kinetic.Collection

  ##### Example

      // get all children
      var children = layer.getChildren();

      // get only circles
      var circles = layer.getChildren(function(node){
         return node.getClassName() === 'Circle';
      });

#### getClassName() → {String}

  get class name, which may return Stage, Layer, Group, or shape class names like Rect, Circle, Text, etc.

  Inherited From:
    - Kinetic.Node#getClassName
  Source:
    - kinetic-v5.1.10.js, line 3633

  ##### Returns:

  Type
    String

#### getContent()

  get stage content div element which has the the class name "kineticjs-content"

  Source:
    - kinetic-v5.1.10.js, line 9353

#### getDepth() → {Integer}

  get node depth in node tree. Returns an integer. e.g. Stage depth will always be 0. Layers will always be 1. Groups and Shapes will always be >= 2

  Inherited From:
    - Kinetic.Node#getDepth
  Source:
    - kinetic-v5.1.10.js, line 2986

  ##### Returns:

  Type
    Integer

#### getIntersection(pos) → {Kinetic.Shape}

  get visible intersection shape. This is the preferred method for determining if a point intersects a shape or not

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `pos` | Object | ###### Properties
  Name | Type | Description
  --- | --- | ---
  `x` | Number |
  `y` | Number |

  Source:
    - kinetic-v5.1.10.js, line 9446

  ##### Returns:

  Type
    Kinetic.Shape

#### getLayer() → {Kinetic.Layer}

  get layer ancestor

  Inherited From:
    - Kinetic.Node#getLayer
  Source:
    - kinetic-v5.1.10.js, line 3352

  ##### Returns:

  Type
    Kinetic.Layer

#### getLayers()

  returns a Kinetic.Collection of layers

  Source:
    - kinetic-v5.1.10.js, line 9520

#### getParent() → {Kinetic.Node}

  get parent container

  Inherited From:
    - Kinetic.Node#getParent
  Source:
    - kinetic-v5.1.10.js, line 3343

  ##### Returns:

  Type
    Kinetic.Node

#### getPointerPosition() → {Object}

  get pointer position which can be a touch position or mouse position

  Source:
    - kinetic-v5.1.10.js, line 9341

  ##### Returns:

  Type
    Object

#### getStage() → {Kinetic.Stage}

  get stage ancestor

  Inherited From:
    - Kinetic.Node#getStage
  Source:
    - kinetic-v5.1.10.js, line 3362

  ##### Returns:

  Type
    Kinetic.Stage

#### getTransform() → {Kinetic.Transform}

  get transform of the node

  Inherited From:
    - Kinetic.Node#getTransform
  Source:
    - kinetic-v5.1.10.js, line 3450

  ##### Returns:

  Type
    Kinetic.Transform

#### getType() → {String}

  get the node type, which may return Stage, Layer, Group, or Node

  Inherited From:
    - Kinetic.Node#getType
  Source:
    - kinetic-v5.1.10.js, line 3642

  ##### Returns:

  Type
    String

#### getZIndex() → {Integer}

  get zIndex relative to the node's siblings who share the same parent

  Inherited From:
    - Kinetic.Node#getZIndex
  Source:
    - kinetic-v5.1.10.js, line 2936

  ##### Returns:

  Type
    Integer

#### green(green) → {Integer}

  get/set filter green value. Use with Kinetic.Filters.RGB filter.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `green` | Integer | value between 0 and 255

  Inherited From:
    - Kinetic.Node#green
  Source:
    - kinetic-v5.1.10.js, line 5022

  ##### Returns:

  Type
    Integer

#### hasChildren() → {Boolean}

  determine if node has children

  Inherited From:
    - Kinetic.Container#hasChildren
  Source:
    - kinetic-v5.1.10.js, line 7345

  ##### Returns:

  Type
    Boolean

#### height(height) → {Number}

  get/set height

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `height` | Number |

  Inherited From:
    - Kinetic.Node#height
  Source:
    - kinetic-v5.1.10.js, line 4176

  ##### Returns:

  Type
    Number

  ##### Example

      // get height
      var height = node.height();

      // set height
      node.height(100);

#### hide() → {Kinetic.Node}

  hide node. Hidden nodes are no longer detectable

  Inherited From:
    - Kinetic.Node#hide
  Source:
    - kinetic-v5.1.10.js, line 2926

  ##### Returns:

  Type
    Kinetic.Node

#### hue(hue) → {Number}

  get/set hsv hue in degrees. Use with Kinetic.Filters.HSV or Kinetic.Filters.HSL filter.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `hue` | Number | value between 0 and 359

  Inherited From:
    - Kinetic.Node#hue
  Source:
    - kinetic-v5.1.10.js, line 5105

  ##### Returns:

  Type
    Number

#### hue(hue) → {Number}

  get/set hsv hue in degrees. Use with Kinetic.Filters.HSV or Kinetic.Filters.HSL filter.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `hue` | Number | value between 0 and 359

  Inherited From:
    - Kinetic.Node#hue
  Source:
    - kinetic-v5.1.10.js, line 5138

  ##### Returns:

  Type
    Number

#### id(id) → {String}

  get/set id

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `id` | String |

  Inherited From:
    - Kinetic.Node#id
  Source:
    - kinetic-v5.1.10.js, line 3936

  ##### Returns:

  Type
    String

  ##### Example

      // get id
      var name = node.id();

      // set id
      node.id('foo');

#### isAncestorOf(node)

  determine if node is an ancestor of descendant

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `node` | Kinetic.Node |

  Inherited From:
    - Kinetic.Container#isAncestorOf
  Source:
    - kinetic-v5.1.10.js, line 7541

#### isDragging()

  determine if node is currently in drag and drop mode

  Inherited From:
    - Kinetic.Node#isDragging
  Source:
    - kinetic-v5.1.10.js, line 7186

#### isListening() → {Boolean}

  determine if node is listening for events by taking into account ancestors.

  Parent | Self | isListening

  ## listening | listening |

  +-----------+------------ T | T | T T | F | F F | T | T

  ## F | F | F

  +-----------+------------ T | I | T F | I | F I | I | T

  Inherited From:
    - Kinetic.Node#isListening
  Source:
    - kinetic-v5.1.10.js, line 2837

  ##### Returns:

  Type
    Boolean

#### isVisible() → {Boolean}

  determine if node is visible by taking into account ancestors.

  Parent | Self | isVisible

  ## visible | visible |

  +-----------+------------ T | T | T T | F | F F | T | T

  ## F | F | F

  +-----------+------------ T | I | T F | I | F I | I | T

  Inherited From:
    - Kinetic.Node#isVisible
  Source:
    - kinetic-v5.1.10.js, line 2877

  ##### Returns:

  Type
    Boolean

#### kaleidoscopeAngle(degrees) → {Integer}

  get/set kaleidoscope angle. Use with Kinetic.Filters.Kaleidoscope filter.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `degrees` | Integer |

  Inherited From:
    - Kinetic.Node#kaleidoscopeAngle
  Source:
    - kinetic-v5.1.10.js, line 6082

  ##### Returns:

  Type
    Integer

#### kaleidoscopePower(power) → {Integer}

  get/set kaleidoscope power. Use with Kinetic.Filters.Kaleidoscope filter.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `power` | Integer | of kaleidoscope

  Inherited From:
    - Kinetic.Node#kaleidoscopePower
  Source:
    - kinetic-v5.1.10.js, line 6072

  ##### Returns:

  Type
    Integer

#### levels(level) → {Number}

  get/set levels. Must be a number between 0 and 1. Use with Kinetic.Filters.Posterize filter.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `level` | Number | between 0 and 1

  Inherited From:
    - Kinetic.Node#levels
  Source:
    - kinetic-v5.1.10.js, line 5556

  ##### Returns:

  Type
    Number

#### listening(listening) → {Boolean|String}

  get/set listenig attr. If you need to determine if a node is listening or not by taking into account its parents, use the isListening() method

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `listening` | Boolean | String | Can be "inherit", true, or false. The default is "inherit".

  Inherited From:
    - Kinetic.Node#listening
  Source:
    - kinetic-v5.1.10.js, line 4192

  ##### Returns:

  Type
    Boolean | String

  ##### Example

      // get listening attr
      var listening = node.listening();

      // stop listening for events
      node.listening(false);

      // listen for events
      node.listening(true);

      // listen to events according to the parent
      node.listening('inherit');

#### move(change) → {Kinetic.Node}

  move node by an amount relative to its current position

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `change` | Object | ###### Properties
  Name | Type | Description
  --- | --- | ---
  `x` | Number |
  `y` | Number |

  Inherited From:
    - Kinetic.Node#move
  Source:
    - kinetic-v5.1.10.js, line 3112

  ##### Returns:

  Type
    Kinetic.Node

  ##### Example

      // move node in x direction by 1px and y direction by 2px
      node.move({
        x: 1,
        y: 2)
      });

#### moveDown() → {Boolean}

  move node down

  Inherited From:
    - Kinetic.Node#moveDown
  Source:
    - kinetic-v5.1.10.js, line 3209

  ##### Returns:

  Type
    Boolean

#### moveTo(newContainer) → {Kinetic.Node}

  move node to another container

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `newContainer` | Container |

  Inherited From:
    - Kinetic.Node#moveTo
  Source:
    - kinetic-v5.1.10.js, line 3287

  ##### Returns:

  Type
    Kinetic.Node

  ##### Example

      // move node from current layer into layer2
      node.moveTo(layer2);

#### moveToBottom() → {Boolean}

  move node to the bottom of its siblings

  Inherited From:
    - Kinetic.Node#moveToBottom
  Source:
    - kinetic-v5.1.10.js, line 3229

  ##### Returns:

  Type
    Boolean

#### moveToTop() → {Boolean}

  move node to the top of its siblings

  Inherited From:
    - Kinetic.Node#moveToTop
  Source:
    - kinetic-v5.1.10.js, line 3171

  ##### Returns:

  Type
    Boolean

#### moveUp() → {Boolean}

  move node up

  Inherited From:
    - Kinetic.Node#moveUp
  Source:
    - kinetic-v5.1.10.js, line 3188

  ##### Returns:

  Type
    Boolean

#### name(name) → {String}

  get/set name

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `name` | String |

  Inherited From:
    - Kinetic.Node#name
  Source:
    - kinetic-v5.1.10.js, line 3915

  ##### Returns:

  Type
    String

  ##### Example

      // get name
      var name = node.name();

      // set name
      node.name('foo');

      // also node may have multiple names (as css classes)
      node.name('foo bar');

#### noise(noise) → {Number}

  get/set noise amount. Must be a value between 0 and 1. Use with Kinetic.Filters.Noise filter.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `noise` | Number |

  Inherited From:
    - Kinetic.Node#noise
  Source:
    - kinetic-v5.1.10.js, line 5594

  ##### Returns:

  Type
    Number

#### off(evtStr) → {Kinetic.Node}

  remove event bindings from the node. Pass in a string of event types delimmited by a space to remove multiple event bindings at once such as 'mousedown mouseup mousemove'. include a namespace to remove an event binding by name such as 'click.foobar'. If you only give a name like '.foobar', all events in that namespace will be removed.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `evtStr` | String | e.g. 'click', 'mousedown touchstart', '.foobar'

  Inherited From:
    - Kinetic.Node#off
  Source:
    - kinetic-v5.1.10.js, line 2645

  ##### Returns:

  Type
    Kinetic.Node

  ##### Example

      // remove listener
      node.off('click');

      // remove multiple listeners
      node.off('click touchstart');

      // remove listener by name
      node.off('click.foo');

#### offsetX(x) → {Number}

  get/set offset x

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `x` | Number |

  Inherited From:
    - Kinetic.Node#offsetX
  Source:
    - kinetic-v5.1.10.js, line 4103

  ##### Returns:

  Type
    Number

  ##### Example

      // get offset x
      var offsetX = node.offsetX();

      // set offset x
      node.offsetX(3);

#### offsetY(y) → {Number}

  get/set offset y

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `y` | Number |

  Inherited From:
    - Kinetic.Node#offsetY
  Source:
    - kinetic-v5.1.10.js, line 4120

  ##### Returns:

  Type
    Number

  ##### Example

      // get offset y
      var offsetY = node.offsetY();

      // set offset y
      node.offsetY(3);

#### on(evtStr, handler) → {Kinetic.Node}

  bind events to the node. KineticJS supports mouseover, mousemove, mouseout, mouseenter, mouseleave, mousedown, mouseup, mousewheel, click, dblclick, touchstart, touchmove, touchend, tap, dbltap, dragstart, dragmove, and dragend events. The Kinetic Stage supports contentMouseover, contentMousemove, contentMouseout, contentMousedown, contentMouseup, contentClick, contentDblclick, contentTouchstart, contentTouchmove, contentTouchend, contentTap, and contentDblTap. Pass in a string of events delimmited by a space to bind multiple events at once such as 'mousedown mouseup mousemove'. Include a namespace to bind an event by name such as 'click.foobar'.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `evtStr` | String | e.g. 'click', 'mousedown touchstart', 'mousedown.foo touchstart.foo'
  `handler` | function | The handler function is passed an event object

  Inherited From:
    - Kinetic.Node#on
  Source:
    - kinetic-v5.1.10.js, line 2584

  ##### Returns:

  Type
    Kinetic.Node

  ##### Example

      // add click listener
      node.on('click', function() {
        console.log('you clicked me!');
      });

      // get the target node
      node.on('click', function(evt) {
        console.log(evt.target);
      });

      // stop event propagation
      node.on('click', function(evt) {
        evt.cancelBubble = true;
      });

      // bind multiple listeners
      node.on('click touchstart', function() {
        console.log('you clicked/touched me!');
      });

      // namespace listener
      node.on('click.foo', function() {
        console.log('you clicked/touched me!');
      });

      // get the event type
      node.on('click tap', function(evt) {
        var eventType = evt.type;
      });

      // get native event object
      node.on('click tap', function(evt) {
        var nativeEvent = evt.evt;
      });

      // for change events, get the old and new val
      node.on('xChange', function(evt) {
        var oldVal = evt.oldVal;
        var newVal = evt.newVal;
      });

#### opacity(opacity) → {Number}

  get/set opacity. Opacity values range from 0 to 1. A node with an opacity of 0 is fully transparent, and a node with an opacity of 1 is fully opaque

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `opacity` | Object |

  Inherited From:
    - Kinetic.Node#opacity
  Source:
    - kinetic-v5.1.10.js, line 3895

  ##### Returns:

  Type
    Number

  ##### Example

      // get opacity
      var opacity = node.opacity();

      // set opacity
      node.opacity(0.5);

#### pixelSize(pixelSize) → {Integer}

  get/set pixel size. Use with Kinetic.Filters.Pixelate filter.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `pixelSize` | Integer |

  Inherited From:
    - Kinetic.Node#pixelSize
  Source:
    - kinetic-v5.1.10.js, line 5687

  ##### Returns:

  Type
    Integer

#### position(pos) → {Object}

  get/set node position relative to parent

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `pos` | Object | ###### Properties
  Name | Type | Description
  --- | --- | ---
  `x` | Number |
  `y` | Number |

  Inherited From:
    - Kinetic.Node#position
  Source:
    - kinetic-v5.1.10.js, line 3839

  ##### Returns:

  Type
    Object

  ##### Example

      // get position
      var position = node.position();

      // set position
      node.position({
        x: 5
        y: 10
      });

#### red(red) → {Integer}

  get/set filter red value. Use with Kinetic.Filters.RGB filter.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `red` | Integer | value between 0 and 255

  Inherited From:
    - Kinetic.Node#red
  Source:
    - kinetic-v5.1.10.js, line 5001

  ##### Returns:

  Type
    Integer

#### remove() → {Kinetic.Node}

  remove self from parent, but don't destroy

  Inherited From:
    - Kinetic.Node#remove
  Source:
    - kinetic-v5.1.10.js, line 2701

  ##### Returns:

  Type
    Kinetic.Node

  ##### Example

      node.remove();

#### removeChildren()

  remove all children

  Inherited From:
    - Kinetic.Container#removeChildren
  Source:
    - kinetic-v5.1.10.js, line 7353

#### rotate(theta) → {Kinetic.Node}

  rotate node by an amount in degrees relative to its current rotation

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `theta` | Number |

  Inherited From:
    - Kinetic.Node#rotate
  Source:
    - kinetic-v5.1.10.js, line 3161

  ##### Returns:

  Type
    Kinetic.Node

#### rotation(rotation) → {Number}

  get/set rotation in degrees

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `rotation` | Number |

  Inherited From:
    - Kinetic.Node#rotation
  Source:
    - kinetic-v5.1.10.js, line 3953

  ##### Returns:

  Type
    Number

  ##### Example

      // get rotation in degrees
      var rotation = node.rotation();

      // set rotation in degrees
      node.rotation(45);

#### saturation(saturation) → {Number}

  get/set hsv saturation. Use with Kinetic.Filters.HSV or Kinetic.Filters.HSL filter.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `saturation` | Number | 0 is no change, -1.0 halves the saturation, 1.0 doubles, etc..

  Inherited From:
    - Kinetic.Node#saturation
  Source:
    - kinetic-v5.1.10.js, line 5115

  ##### Returns:

  Type
    Number

#### saturation(saturation) → {Number}

  get/set hsv saturation. Use with Kinetic.Filters.HSV or Kinetic.Filters.HSL filter.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `saturation` | Number | 0 is no change, -1.0 halves the saturation, 1.0 doubles, etc..

  Inherited From:
    - Kinetic.Node#saturation
  Source:
    - kinetic-v5.1.10.js, line 5148

  ##### Returns:

  Type
    Number

#### scale(scale) → {Object}

  get/set scale

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `scale` | Object | ###### Properties
  Name | Type | Description
  --- | --- | ---
  `x` | Number |
  `y` | Number |

  Inherited From:
    - Kinetic.Node#scale
  Source:
    - kinetic-v5.1.10.js, line 3970

  ##### Returns:

  Type
    Object

  ##### Example

      // get scale
      var scale = node.scale();

      // set scale
      shape.scale({
        x: 2
        y: 3
      });

#### scaleX(x) → {Number}

  get/set scale x

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `x` | Number |

  Inherited From:
    - Kinetic.Node#scaleX
  Source:
    - kinetic-v5.1.10.js, line 3992

  ##### Returns:

  Type
    Number

  ##### Example

      // get scale x
      var scaleX = node.scaleX();

      // set scale x
      node.scaleX(2);

#### scaleY(y) → {Number}

  get/set scale y

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `y` | Number |

  Inherited From:
    - Kinetic.Node#scaleY
  Source:
    - kinetic-v5.1.10.js, line 4009

  ##### Returns:

  Type
    Number

  ##### Example

      // get scale y
      var scaleY = node.scaleY();

      // set scale y
      node.scaleY(2);

#### setAbsolutePosition(pos) → {Kinetic.Node}

  set absolute position

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `pos` | Object | ###### Properties
  Name | Type | Description
  --- | --- | ---
  `x` | Number |
  `y` | Number |

  Inherited From:
    - Kinetic.Node#setAbsolutePosition
  Source:
    - kinetic-v5.1.10.js, line 3033

  ##### Returns:

  Type
    Kinetic.Node

#### setAttr(attr, val) → {Kinetic.Node}

  set attr

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `attr` | String |
  `val` | * |

  Inherited From:
    - Kinetic.Node#setAttr
  Source:
    - kinetic-v5.1.10.js, line 3710

  ##### Returns:

  Type
    Kinetic.Node

  ##### Example

      node.setAttr('x', 5);

#### setAttrs(config) → {Kinetic.Node}

  set multiple attrs at once using an object literal

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `config` | Object | object containing key value pairs

  Inherited From:
    - Kinetic.Node#setAttrs
  Source:
    - kinetic-v5.1.10.js, line 2795

  ##### Returns:

  Type
    Kinetic.Node

  ##### Example

      node.setAttrs({
        x: 5,
        fill: 'red'
      });

#### setContainer(container)

  set container dom element which contains the stage wrapper div element

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `container` | DomElement | can pass in a dom element or id string

  Source:
    - kinetic-v5.1.10.js, line 9241

#### setHeight(height)

  set height

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `height` | Number |

  Source:
    - kinetic-v5.1.10.js, line 9279

#### setWidth(width)

  set width

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `width` | Number |

  Source:
    - kinetic-v5.1.10.js, line 9290

#### setZIndex(zIndex) → {Kinetic.Node}

  set zIndex relative to siblings

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `zIndex` | Integer |

  Inherited From:
    - Kinetic.Node#setZIndex
  Source:
    - kinetic-v5.1.10.js, line 3250

  ##### Returns:

  Type
    Kinetic.Node

#### shouldDrawHit() → {Boolean}

  determine if listening is enabled by taking into account descendants. If self or any children have _isListeningEnabled set to true, then self also has listening enabled.

  Inherited From:
    - Kinetic.Node#shouldDrawHit
  Source:
    - kinetic-v5.1.10.js, line 2905

  ##### Returns:

  Type
    Boolean

#### show() → {Kinetic.Node}

  show node

  Inherited From:
    - Kinetic.Node#show
  Source:
    - kinetic-v5.1.10.js, line 2916

  ##### Returns:

  Type
    Kinetic.Node

#### size(size) → {Object}

  get/set node size

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `size` | Object | ###### Properties
  Name | Type | Description
  --- | --- | ---
  `width` | Number |
  `height` | Number |

  Inherited From:
    - Kinetic.Node#size
  Source:
    - kinetic-v5.1.10.js, line 4269

  ##### Returns:

  Type
    Object

  ##### Example

      // get node size
      var size = node.size();
      var x = size.x;
      var y = size.y;

      // set size
      node.size({
        width: 100,
        height: 200
      });

#### skew(skew) → {Object}

  get/set skew

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `skew` | Object | ###### Properties
  Name | Type | Description
  --- | --- | ---
  `x` | Number |
  `y` | Number |

  Inherited From:
    - Kinetic.Node#skew
  Source:
    - kinetic-v5.1.10.js, line 4026

  ##### Returns:

  Type
    Object

  ##### Example

      // get skew
      var skew = node.skew();

      // set skew
      node.skew({
        x: 20
        y: 10
      });

#### skewX(x) → {Number}

  get/set skew x

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `x` | Number |

  Inherited From:
    - Kinetic.Node#skewX
  Source:
    - kinetic-v5.1.10.js, line 4048

  ##### Returns:

  Type
    Number

  ##### Example

      // get skew x
      var skewX = node.skewX();

      // set skew x
      node.skewX(3);

#### skewY(y) → {Number}

  get/set skew y

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `y` | Number |

  Inherited From:
    - Kinetic.Node#skewY
  Source:
    - kinetic-v5.1.10.js, line 4065

  ##### Returns:

  Type
    Number

  ##### Example

      // get skew y
      var skewY = node.skewY();

      // set skew y
      node.skewY(3);

#### startDrag()

  initiate drag and drop

  Inherited From:
    - Kinetic.Node#startDrag
  Source:
    - kinetic-v5.1.10.js, line 7102

#### stopDrag()

  stop drag and drop

  Inherited From:
    - Kinetic.Node#stopDrag
  Source:
    - kinetic-v5.1.10.js, line 7155

#### threshold(threshold) → {Number}

  get/set threshold. Must be a value between 0 and 1. Use with Kinetic.Filters.Threshold or Kinetic.Filters.Mask filter.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `threshold` | Number |

  Inherited From:
    - Kinetic.Node#threshold
  Source:
    - kinetic-v5.1.10.js, line 5725

  ##### Returns:

  Type
    Number

#### toDataURL(config)

  Creates a composite data URL and requires a callback because the composite is generated asynchronously.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `config` | Object | ###### Properties
  Name | Type | Argument | Description
  --- | --- | --- | ---
  `callback` | function |  | function executed when the composite has completed
  `mimeType` | String | <optional> | can be "image/png" or "image/jpeg". "image/png" is the default
  `x` | Number | <optional> | x position of canvas section
  `y` | Number | <optional> | y position of canvas section
  `width` | Number | <optional> | width of canvas section
  `height` | Number | <optional> | height of canvas section
  `quality` | Number | <optional> | jpeg quality. If using an "image/jpeg" mimeType, you can specify the quality from 0 to 1, where 0 is very poor quality and 1 is very high quality

  Source:
    - kinetic-v5.1.10.js, line 9372

#### toImage(config)

  converts stage into an image.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `config` | Object | ###### Properties
  Name | Type | Argument | Description
  --- | --- | --- | ---
  `callback` | function |  | function executed when the composite has completed
  `mimeType` | String | <optional> | can be "image/png" or "image/jpeg". "image/png" is the default
  `x` | Number | <optional> | x position of canvas section
  `y` | Number | <optional> | y position of canvas section
  `width` | Number | <optional> | width of canvas section
  `height` | Number | <optional> | height of canvas section
  `quality` | Number | <optional> | jpeg quality. If using an "image/jpeg" mimeType, you can specify the quality from 0 to 1, where 0 is very poor quality and 1 is very high quality

  Source:
    - kinetic-v5.1.10.js, line 9426

#### toJSON() → {String}

  convert Node into a JSON string. Returns a JSON string.

  Inherited From:
    - Kinetic.Node#toJSON
  Source:
    - kinetic-v5.1.10.js, line 3334

  ##### Returns:

  }

  Type
    String

#### toObject() → {Object}

  convert Node into an object for serialization. Returns an object.

  Inherited From:
    - Kinetic.Node#toObject
  Source:
    - kinetic-v5.1.10.js, line 3301

  ##### Returns:

  Type
    Object

#### transformsEnabled(enabled) → {String}

  get/set transforms that are enabled. Can be "all", "none", or "position". The default is "all"

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `enabled` | String |

  Inherited From:
    - Kinetic.Node#transformsEnabled
  Source:
    - kinetic-v5.1.10.js, line 4265

  ##### Returns:

  Type
    String

  ##### Example

      // enable position transform only to improve draw performance
      node.transformsEnabled('position');

      // enable all transforms
      node.transformsEnabled('all');

#### value(value) → {Number}

  get/set hsv value. Use with Kinetic.Filters.HSV filter.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `value` | Number | 0 is no change, -1.0 halves the value, 1.0 doubles, etc..

  Inherited From:
    - Kinetic.Node#value
  Source:
    - kinetic-v5.1.10.js, line 5125

  ##### Returns:

  Type
    Number

#### value(value) → {Number}

  get/set hsl luminance. Use with Kinetic.Filters.HSL filter.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `value` | Number | 0 is no change, -1.0 halves the value, 1.0 doubles, etc..

  Inherited From:
    - Kinetic.Node#value
  Source:
    - kinetic-v5.1.10.js, line 5158

  ##### Returns:

  Type
    Number

#### visible(visible) → {Boolean|String}

  get/set visible attr. Can be "inherit", true, or false. The default is "inherit". If you need to determine if a node is visible or not by taking into account its parents, use the isVisible() method

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `visible` | Boolean | String |

  Inherited From:
    - Kinetic.Node#visible
  Source:
    - kinetic-v5.1.10.js, line 4240

  ##### Returns:

  Type
    Boolean | String

  ##### Example

      // get visible attr
      var visible = node.visible();

      // make invisible
      node.visible(false);

      // make visible
      node.visible(true);

      // make visible according to the parent
      node.visible('inherit');

#### width(width) → {Number}

  get/set width

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `width` | Number |

  Inherited From:
    - Kinetic.Node#width
  Source:
    - kinetic-v5.1.10.js, line 4159

  ##### Returns:

  Type
    Number

  ##### Example

      // get width
      var width = node.width();

      // set width
      node.width(100);

#### x(x) → {Object}

  get/set x position

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `x` | Number |

  Inherited From:
    - Kinetic.Node#x
  Source:
    - kinetic-v5.1.10.js, line 3861

  ##### Returns:

  Type
    Object

  ##### Example

      // get x
      var x = node.x();

      // set x
      node.x(5);

#### y(y) → {Integer}

  get/set y position

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `y` | Number |

  Inherited From:
    - Kinetic.Node#y
  Source:
    - kinetic-v5.1.10.js, line 3878

  ##### Returns:

  Type
    Integer

  ##### Example

      // get y
      var y = node.y();

      // set y
      node.y(5);